Goal conversions
GET https://zeusfishing.com/api/goals-conversions/
curl --request GET \
--url 'https://zeusfishing.com/api/goals-conversions/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/goals-conversions/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| goal_id | 可选 整数 | |
| website_id | 可选 整数 | |
| datetime_field | 可选 字符串 | 允许的值:datetime |
| datetime_start | 可选 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值为:conversion_id, datetime。 |
| order_type | 可选 字符串 | 结果的排序方式。允许的值为:ASC表示升序,DESC表示降序。 |
| page | 可选 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 可选 整数 | 您希望每页有多少结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"visitor_id": 1,
"session_id": 1,
"event_id": 1,
"datetime": "2026-05-29 21:34:01"
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://zeusfishing.com/api/goals-conversions?page=1",
"last": "https://zeusfishing.com/api/goals-conversions?page=1",
"next": null,
"prev": null,
"self": "https://zeusfishing.com/api/goals-conversions?page=1"
}
}
GET https://zeusfishing.com/api/goals-conversions/{conversion_id}
curl --request GET \
--url 'https://zeusfishing.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"visitor_id": 1,
"session_id": 1,
"event_id": 1,
"datetime": "2026-05-29 21:34:01"
}
}
POST https://zeusfishing.com/api/goals-conversions
| 参数 | 详情 | 描述 |
|---|---|---|
| goal_id | 必填 整数 | - |
| visitor_id | 可选 整数 | 可用时机:tracking_mode = normal |
| session_id | 可选 整数 | 可用时机:tracking_mode = normal |
| event_id | 可选 整数 | 可用时机:tracking_mode = normal |
curl --request POST \
--url 'https://zeusfishing.com/api/goals-conversions' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
--url 'https://zeusfishing.com/api/goals-conversions' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
{
"data": {
"id": 1
}
}
POST https://zeusfishing.com/api/goals-conversions/{conversion_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| website_id | 可选 整数 | - |
| type | 可选 字符串 | 允许的值:pageview, custom |
| name | 可选 字符串 | - |
| path | 可选 字符串 | 可用时机:type = pageview |
| key | 可选 字符串 | - |
curl --request POST \
--url 'https://zeusfishing.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://zeusfishing.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://zeusfishing.com/api/goals-conversions/{conversion_id}
curl --request DELETE \
--url 'https://zeusfishing.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \